/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich, Schrder Dietmar
 Remarks:
 known Problems: none
 Version:        07.11.2009
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der
 GNU General Public License, wie von der Free Software Foundation verffentlicht,
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder
 (nach Ihrer Option) jeder spteren Version.

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung,
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 Programm erhalten haben.
 Falls nicht, schreiben Sie an die Free Software Foundation,
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
------------------------------------------------------------------------------*/

//--------------- MTU-Size ist 600 Bytes im MEGA32 - lnger darf eine WEBseite nicht sein!

#ifndef _WEBPAGE_H
  #define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am Ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseiten
//----------------------------------------------------------------------------

//Hauptseite
PROGMEM char Page1[] = {
"<head><meta http-equiv=\"refresh\" content=\"5; URL=index.html\">\r\n"
"</head>"
"<body><div align=\"center\">\r\n"
"<h1>XMEGA-Webserver</h1>\r\n"
"</div><BR>\r\n"
"<div>Compiliert am "__DATE__" um " __TIME__" mit GCC Version "__VERSION__"</div>\r\n"
"<div>Besucher seit Start des Webservers: %WE@00</div>\r\n"
"<div>Uhrzeit (vom NTP-Server): %TI </div>"
"<br><hr>"
"Diese Software basiert auf dem TCP/IP Stack von Ulrich Radig."
"<br>"
"Portierung auf den Atmel Xmega128A1 durch <a href=\"http://www.zabex.de//\">Dietmar Schrder</a>"
"<hr>"
"</body></html>\r\n"
"%END"};



PROGMEM char Page2[] = {
"<html>"
"<head><meta http-equiv=\"refresh\" content=\"1; URL=istwerte.htm\">\r\n"
"</head>"
"<body>\r\n"
"Analogeing&auml;nge:<br>"
"AI0=%VA@00<br>"
"AI1=%VA@01<br>"
"AI2=%VA@02<br>"
"AI3=%VA@03<br>"
"\r\n</body></html>"
"%END"};


//----------------------------------------------------------------------------
//Nur Dateiname und Pointer eintragen
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
  {"index.htm",Page1},
  {"istwerte.htm",Page2},
  {NULL,NULL}
};

#endif //_WEBPAGE_H








